curl --request POST \
--url 'https://api.stateset.com/api/v1/channels/{id}/lock' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"locked": true
}'
{
"api_locked": true,
"channel_type": "string",
"created_at": "string",
"id": "string",
"integration": null,
"name": "string",
"status": "string"
}
Lock a set
POST
/
api
/
v1
/
channels
/
{id}
/
lock
curl --request POST \
--url 'https://api.stateset.com/api/v1/channels/{id}/lock' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"locked": true
}'
{
"api_locked": true,
"channel_type": "string",
"created_at": "string",
"id": "string",
"integration": null,
"name": "string",
"status": "string"
}
Path parameters
string
required
Channel ID
Request body
LockChannelRequest
boolean
required
Responses
ChannelResponse
curl --request POST \
--url 'https://api.stateset.com/api/v1/channels/{id}/lock' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"locked": true
}'
{
"api_locked": true,
"channel_type": "string",
"created_at": "string",
"id": "string",
"integration": null,
"name": "string",
"status": "string"
}
โI